- name: Install packages
  package:
    name:
      - psmisc
      - pkgfile
      - linux-firmware
      - bind # dig
    state: present

- name: Start pkgfile update service
  systemd:
    state: started
    name: pkgfile-update.timer
    daemon_reload: yes
    enabled: yes

# Of questionable value since I don't use swap on my machines
- name: Configure sysctls for swap
  sysctl:
    name: "{{ item.name }}"
    value: "{{ item.value }}"
    state: present
    sysctl_file: /etc/sysctl.d/swap.conf
  with_items:
    - name: vm.swappiness
      value: 10

- name: Install scripts
  copy:
    src: "files/{{ item.src }}"
    dest: "{{ item.dest }}"
    mode: 0755
    owner: root
    group: wheel
  loop:
    - src: mount_disk_image
      dest: /usr/local/bin/mount_disk_image
